## CongModificationSelectionChange

CongModificationSelectionChange —

## Synopsis

    struct      CongModificationSelectionChange;
    #define     CONG_MODIFICATION_SELECTION_CHANGE(obj)
    #define     CONG_MODIFICATION_SELECTION_CHANGE_CLASS(klass)
    #define     IS_CONG_MODIFICATION_SELECTION_CHANGE(obj)
    GType       cong_modification_selection_change_get_type
                                                (void);
    CongModificationSelectionChange* cong_modification_selection_change_construct
                                                (CongModificationSelectionChange *modification_selection_change,
                                                 CongDocument *doc,
                                                 const CongLocation *new_logical_start,
                                                 const CongLocation *new_logical_end);
    CongModification* cong_modification_selection_change_new
                                                (CongDocument *doc,
                                                 const CongLocation *new_logical_start,
                                                 const CongLocation *new_logical_end);

## Object Hierarchy

      GObject
       +----CongModification
             +----CongModificationSelectionChange

## Description

## Details

### struct CongModificationSelectionChange

    struct CongModificationSelectionChange;

### CONG_MODIFICATION_SELECTION_CHANGE()

    #define CONG_MODIFICATION_SELECTION_CHANGE(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_MODIFICATION_SELECTION_CHANGE_TYPE, CongModificationSelectionChange)

`obj` : |

### CONG_MODIFICATION_SELECTION_CHANGE_CLASS()

    #define CONG_MODIFICATION_SELECTION_CHANGE_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_MODIFICATION_SELECTION_CHANGE_TYPE, CongModificationSelectionChangeClass)

`klass` : |

### IS_CONG_MODIFICATION_SELECTION_CHANGE()

    #define IS_CONG_MODIFICATION_SELECTION_CHANGE(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_MODIFICATION_SELECTION_CHANGE_TYPE)

`obj` : |

### cong_modification_selection_change_get_type ()

    GType       cong_modification_selection_change_get_type
                                                (void);

Returns : |

### cong_modification_selection_change_construct ()

    CongModificationSelectionChange* cong_modification_selection_change_construct
                                                (CongModificationSelectionChange *modification_selection_change,
                                                 CongDocument *doc,
                                                 const CongLocation *new_logical_start,
                                                 const CongLocation *new_logical_end);

TODO: Write me

`modification_selection_change` : |
`doc` : |
`new_logical_start` : |
`new_logical_end` : |
Returns : |

### cong_modification_selection_change_new ()

    CongModification* cong_modification_selection_change_new
                                                (CongDocument *doc,
                                                 const CongLocation *new_logical_start,
                                                 const CongLocation *new_logical_end);

TODO: Write me

`doc` : |
`new_logical_start` : |
`new_logical_end` : |
Returns : |